Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#1 Le 17/03/2013, à 17:31

Phroso

[résolu] Installer la mise à jour d'une application

Bonjour,
j'utilise la 12.04 LTS et souhaiterais la garder. Mais je voudrais changer la version d'une application pas mal buguée( Lilypond + Frescobaldi).
Elle est disponible dans les dépôts "raring".
Le problème qui se pose est que l'une des dépendances (qui a évolué de la 2.8 à 2.10)) gère énormément de logiciels sur le système (libfontconfig1).
Je crains qu'en l'installant le système soit bien déstabilisé.
Qu'en pensez-vous ? Quel conseil pouvez-vous me donner ?
Est-ce faisable ou non ?
Merci pour vos conseils.

Dernière modification par Phroso (Le 10/05/2013, à 22:58)


Ubuntu Precise Pangolin 12.04 LTS

Hors ligne

#2 Le 20/03/2013, à 21:48

Phroso

Re : [résolu] Installer la mise à jour d'une application

up


Ubuntu Precise Pangolin 12.04 LTS

Hors ligne

#3 Le 21/03/2013, à 18:03

Phroso

Re : [résolu] Installer la mise à jour d'une application

L'application n'est plus à jour.
Voici le type de message qui m'est donné :

Erreur : Programme plus qu'obsolète : 2.14.2 (le fichier requiert 2.15.37)

N'existe-t-il pas un moyen de faire la mise à jour du programme seul sans changer la distribution Ubuntu. Je souhaite garder la L.T.S.

Merci pour vos conseils.


Ubuntu Precise Pangolin 12.04 LTS

Hors ligne

#4 Le 22/03/2013, à 19:13

Phroso

Re : [résolu] Installer la mise à jour d'une application

up


Ubuntu Precise Pangolin 12.04 LTS

Hors ligne

#5 Le 25/03/2013, à 13:15

xabilon

Re : [résolu] Installer la mise à jour d'une application

Salut

Tu t'embarques dans un truc dangereux... pour un ou deux paquets, et si les dépendances ne sont pas impactées, ce que tu fais est possible, mais dès que des dépendances se retrouvent dans une version plus récente que celle du système, on peut avoir un "effet boule de neige", et se retrouver avec un système "à cheval" entre 2 versions.
Donc ne le fait pas smile

Le première chose, c'est chercher d'éventuels dépôts PPA qui packageraient lilypond et/ou frescobaldi pour Ubuntu 12.04
Si il n'y en a pas, tu peux essayer la compilation. Mais il est possible que cette version de libfontconfig1 soit vraiment néécessaire (parce qu'elle a certaines fonctionnalités absentes auparavant) ; dans ce cas, il n'y a pas grand chose à faire...


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#6 Le 25/03/2013, à 18:54

Phroso

Re : [résolu] Installer la mise à jour d'une application

Merci Xabilon pour tes conseils.
Tu confirmes mes craintes donc.
J'étais d'ailleurs en train de rechercher des dépôts PPA.
Merci.
Non résolu donc.


Ubuntu Precise Pangolin 12.04 LTS

Hors ligne

#7 Le 26/03/2013, à 00:59

xabilon

Re : [résolu] Installer la mise à jour d'une application

Je pense qu'il n'y aura pas de problème pour installer le paquet frescobaldi de Raring : http://packages.ubuntu.com/raring/frescobaldi
Installe les dépendances demandées (en version Ubuntu Precise), télécharge le paquet frescobaldi de Raring et installe-le en cliquant dessus.

Si tu veux une version de lilypond plus à jour, je pense qu'il faudra "bidouiller".
Par exemple, avec l'installateur fourni ici, tu peux installer Lilypond 2.16 dans un autre répertoire, et peut-être configurer Frescobaldi pour qu'il utilise ce lilypond-là plutôt que celui installé par les dépôts (mais il faudra quand même que le paquet lilypond soit installé, sans ça tu ne peux pas installer frescobaldi)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#8 Le 10/05/2013, à 17:01

Phroso

Re : [résolu] Installer la mise à jour d'une application

Bonjour,
j'ai suivi les conseils de Xabilon.
Pour Frescobaldi, il ne semble pas y avoir de problème.
Par contre, pour la version plus récente de Lilypond, l'installation des dépendances menace de casser celles existantes et probablement l'équilibre du système.
Je ne vois pas comment installer ces paquets .deb dans un autre répertoire. Je n'ai pas le choix (me semble-t-il). Dans une autre partition???
En tout cas, merci Xabilon pour ton intérêt.


Ubuntu Precise Pangolin 12.04 LTS

Hors ligne

#9 Le 10/05/2013, à 18:04

xabilon

Re : [résolu] Installer la mise à jour d'une application

Justement, ce ne sont pas les paquets deb qu'il faut prendre, mais l'un des "paquetages génériques". Ceux-ci feront une installation dans le répertoire où ils se trouvent, de façon totalement indépendante des .deb que tu as installés par les dépôts.
Tu auras donc 2 versions de lilypond, séparées l'une de l'autre


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#10 Le 10/05/2013, à 18:34

inbox

Re : [résolu] Installer la mise à jour d'une application

Salut,

Pour installer la version 2.16 de Lilypond sur 12.04, il semble qu'il faille télécharger le script d'installation depuis le site de Lilypond. Y est expliqué (en anglais) ce qu'il faut faire.

A noter que l'installation se fera dans le dossier personnel (home). Au vu du message de Brett, l'installation via le script est fonctionnelle.

A+

Dernière modification par inbox (Le 10/05/2013, à 18:36)


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#11 Le 10/05/2013, à 18:56

Phroso

Re : [résolu] Installer la mise à jour d'une application

Merci pour votre aide.
En principe, Lilypond devrait être installé dans le dossier personnel en ayant suivi les instructions.

Xabilon a écrit :

peut-être configurer Frescobaldi pour qu'il utilise ce lilypond-là plutôt que celui installé par les dépôts

Justement, comment associer le nouveau Lilypond à Frescobaldi ?
Les paquets de Frescobaldi sont en .deb. Déjà installés.
Merci pour votre aide précieuse.


Ubuntu Precise Pangolin 12.04 LTS

Hors ligne

#12 Le 10/05/2013, à 19:16

xabilon

Re : [résolu] Installer la mise à jour d'une application

Il faut regarder dans la configuration de Frescobaldi, si il n'y a pas un chemin à définir pour lilypond


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#13 Le 10/05/2013, à 22:58

Phroso

Re : [résolu] Installer la mise à jour d'une application

C'est bien ça, Xabilon.
Le chemin est à préciser dans les préférences.
C'est résolu.
Merci beaucoup Xabilon pour ton aide.

PS : Frescobaldi est bugué : le lecteur Midi ne fonctionne pas dans les versions supérieures à la 1.0.2. (la version actuelle est la 2.0.8 + ds 1-1-dépôts Universe).
Le lien de l'application vers le lecteur Midi (/usr/bin/timidity) ne s'établit pas. Le problème est signalé aux développeurs.

Dernière modification par Phroso (Le 10/05/2013, à 23:01)


Ubuntu Precise Pangolin 12.04 LTS

Hors ligne

Haut de page ↑